/**
 * JASMINe
 * Copyright (C) 2008 Bull S.A.S.
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: ProcessContext.java 2067 2008-08-21 14:48:31Z loris $
 * --------------------------------------------------------------------------
 */
package org.ow2.jasmine.event.processor;

/**
 * Context to use for processing JASMINe events.
 * A processing context can handle some runnable resources.
 * @author Loris Bouzonnet
 */
public interface ProcessContext {

    /**
     * Start the context activity.
     * @throws ProcessContextException if the context cannot be started
     */
    void start() throws ProcessContextException;

    /**
     * Stop the context activity.
     * @throws ProcessContextException if the context cannot be stopped
     */
    void stop() throws ProcessContextException;

}
